Bug 243520 - [maintainer update] [patch] deskutils/ical update to ical-3.0.4
Summary: [maintainer update] [patch] deskutils/ical update to ical-3.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 15:01 UTC by J.R. Oldroyd
Modified: 2020-02-05 21:59 UTC (History)
1 user (show)

See Also:


Attachments
patch to update port from 2.3.1 to 3.0.4 (43.88 KB, patch)
2020-01-22 15:02 UTC, J.R. Oldroyd
no flags Details | Diff
New version with USES=autoreconf (49.95 KB, patch)
2020-02-04 22:01 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2020-01-22 15:01:37 UTC
The 3.0.x version of ical reflects new development by Guillaume Ballin adding features such as timezone support, link support, key bindings and per-calendar colors.  This work was done in 2011 with fixes and tuning applied in 2018 and 2019.

A large number of earlier FreeBSD patches have now also been incorporated upstream and so are no longer needed in this port.
Comment 1 J.R. Oldroyd 2020-01-22 15:02:35 UTC
Created attachment 210966 [details]
patch to update port from 2.3.1 to 3.0.4
Comment 2 Fernando Apesteguía freebsd_committer 2020-02-04 22:01:15 UTC
Created attachment 211360 [details]
New version with USES=autoreconf

New patch that adds USES=autoreconf:build
Comment 3 Fernando Apesteguía freebsd_committer 2020-02-04 22:03:24 UTC
We need to add USES=autoreconf:build.
You probably already had autotools installed on your machine.

Would you mind to review the new patch?

It builds fine in {11.3,12.0,12.1}{i386,amd64} and -CURRENT amd64
Comment 4 J.R. Oldroyd 2020-02-05 07:56:53 UTC
Comment on attachment 211360 [details]
New version with USES=autoreconf

Sorry about that, I did have autoconf/automake already installed here.  I've fixed that locally too.  Thanks.
Comment 5 J.R. Oldroyd 2020-02-05 08:02:40 UTC
Comment on attachment 211360 [details]
New version with USES=autoreconf

I've set the maintainer-approval flag to + (twice now), but it is not saving.  Please consider it set!
Comment 6 commit-hook freebsd_committer 2020-02-05 21:59:22 UTC
A commit references this bug:

Author: fernape
Date: Wed Feb  5 21:59:15 UTC 2020
New revision: 525352
URL: https://svnweb.freebsd.org/changeset/ports/525352

Log:
  deskutils/ical: udpate to 3.0.4

  PR:     243520
  Submitted by:   fbsd@opal.com (maintainer)

Changes:
  head/deskutils/ical/Makefile
  head/deskutils/ical/distinfo
  head/deskutils/ical/files/patch-Makefile.in
  head/deskutils/ical/files/patch-bitmaps-dleft.xbm
  head/deskutils/ical/files/patch-bitmaps-done.xbm
  head/deskutils/ical/files/patch-bitmaps-dright.xbm
  head/deskutils/ical/files/patch-bitmaps-ical.xbm
  head/deskutils/ical/files/patch-bitmaps-left.xbm
  head/deskutils/ical/files/patch-bitmaps-right.xbm
  head/deskutils/ical/files/patch-bitmaps-sleft.xbm
  head/deskutils/ical/files/patch-bitmaps-sright.xbm
  head/deskutils/ical/files/patch-bitmaps-todo.xbm
  head/deskutils/ical/files/patch-cal_tcl.C
  head/deskutils/ical/files/patch-calendar_Makefile.in
  head/deskutils/ical/files/patch-calendar_calendar.C
  head/deskutils/ical/files/patch-calendar_calfile.C
  head/deskutils/ical/files/patch-config.h.in
  head/deskutils/ical/files/patch-configure
  head/deskutils/ical/files/patch-dateeditor.C
  head/deskutils/ical/files/patch-dispatch.C
  head/deskutils/ical/files/patch-item_tcl.C
  head/deskutils/ical/files/patch-main.C
  head/deskutils/ical/files/patch-object.C
  head/deskutils/ical/files/patch-pref.tcl
  head/deskutils/ical/files/patch-time_Makefile.in
  head/deskutils/ical/files/patch-time_Time.C
  head/deskutils/ical/files/patch-time_tcl.C
  head/deskutils/ical/files/patch-types_Makefile.in
  head/deskutils/ical/pkg-descr
  head/deskutils/ical/pkg-plist
Comment 7 Fernando Apesteguía freebsd_committer 2020-02-05 21:59:54 UTC
Committed,

Thanks!